import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class Box here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Box extends Actor
{
    /**
     * Act - do whatever the Box wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    private int x1;
    private int y1;
    private int x2;
    private int y2;
    int width = x2 - x1;
    int height = y2 - y1;
    private GreenfootImage b;
    public Box()
    {
        x1 = 0;
        x2 = 0;
        y1 = 0;
        y2 = 0;
        b = new GreenfootImage(1, 1);
    }
    public void act() 
    {
        if(Greenfoot.getMouseInfo() != null)
        {
            updateImage();
            
            int xOffSet = 0;
            int yOffSet = 0;
            
            if(x2 > x1)
            {
                xOffSet = width/2;
            }
            else if(x2 < x1)
            {
                xOffSet = -1 * width/2;
            }
            
            if(y2 > y1)
            {
                yOffSet =  height/2;
            }
            else if(y2 < y1)
            {
                yOffSet = -1 * height/2;
            }
            
            setLocation(x1 + xOffSet, y1 + yOffSet);
        }
        if(Greenfoot.mouseClicked(null))
        {
            World w = getWorld();
            w.removeObject(this);
        }
    }    
    public void updateImage()
    {
        drag();
        b.clear();
        b.drawRect(0, 0, b.getWidth()-1, b.getHeight()-1);
        setImage(b);
    }
    public void drag()
    {
        if(Greenfoot.mousePressed(null) && Greenfoot.getMouseInfo().getButton() == 1)
        {
            x1 = Greenfoot.getMouseInfo().getX();
            y1 = Greenfoot.getMouseInfo().getY();
        }
        x2 = Greenfoot.getMouseInfo().getX();
        y2 = Greenfoot.getMouseInfo().getY();
        width = x2 - x1;
        if(width < 0)
        {
            width = width*(-1);
        }
        if(width == 0)
        {
            width ++;
        }
        height = y2 - y1;
        if(height < 0)
        {
            height = height*(-1);
        }
        if(height == 0)
        {
            height ++;
        }
        b = new GreenfootImage(width, height);
        b.setColor(Color.WHITE);
        setImage(b);
    }
}
