import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * Write a description of class Bullet here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Bullet extends SmoothMover
{
    /**
     * Act - do whatever the Bullet wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public double speed;
    private GreenfootImage image;
    public Bullet()
    {
        speed = 9.5;
        image = getImage();
    }
    public void act() 
    {
        fade();
        move(speed);
        if(getImage().getTransparency() <= 95)
        {
            World w = getWorld();
            w.removeObject(this);
            return;
        }
        damageEnemy(2);
    }    
    public void damageEnemy(int n)
    {
        List<Killable> list = getIntersectingObjects(Enemy.class);
        if(!list.isEmpty())
        {
            Actor a = (Actor)list.get(0);
            list.get(0).takeDamage(n);
            World w = getWorld();
            Blood b = new Blood();
            b.setRotation(getRotation());
            w.addObject(b, (int)currentX, (int)currentY);
            w.removeObject(this);
            return;
        }
    }
    public void fade()
    {
        int transparency = getImage().getTransparency() - 4;// fade by 4
        GreenfootImage img = image;
        img.setTransparency(transparency);
        setImage(img);
    }
}
