import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
public class Effects extends Actor
{
    public GreenfootImage image;
    public Effects()
    {
        image = new GreenfootImage("blood.png");
    }
    public void fade(int n, int z)//n is how fast it fade, z is when it is removed ** z must be bigger then n
    {
        int transparency = getImage().getTransparency();
        if(transparency > z)//can fade without error
        {
            transparency = getImage().getTransparency() - n;//fades by n
            GreenfootImage img = image;
            img.setTransparency(transparency);
            setImage(img);
        }
        else
        {
            World w = getWorld();
            w.removeObject(this);
            return;
        }
    }
}
