import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class TankGun here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class TankGun extends SmoothMover
{
    /**
     * Act - do whatever the TankGun wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    private int bulletTimer;
    private final int CANSHOOT;
    public TankGun()
    {
        bulletTimer = 0;
        CANSHOOT = 100;
    }
    public void act() 
    {
        bulletTimer += Greenfoot.getRandomNumber(2)+1;
    }    
    private void die()//no tank
    {
        World w = getWorld();
        w.removeObject(this);
    }
    public void shoot(Enemy e)
    {
        if(bulletTimer >= CANSHOOT)
        {
            World w = getWorld();
            MuzzleFlash f = new MuzzleFlash(40,40,10);
            f.setRotation(getRotation());
            Explosion ex = new Explosion();
            Cord c = getGunPoint();
            w.addObject(f, c.x, c.y);
            w.addObject(ex, e.getX(), e.getY());
            bulletTimer = 0;
        }
    }
    public Cord getGunPoint()
    {
        int d = 33;//how far from the center
        double angle = Math.toRadians(getRotation());//angle offset
        double initialAngle = 0;//initial angle
        int x = (int)Math.round(getX() + d*Math.cos(angle-initialAngle));
        int y = (int)Math.round(getY() + d*Math.sin(angle-initialAngle));
        Cord c = new Cord(x, y);
        return c;
    }
}
